Subject: LRO: Aluminum

From: "James G.Wolf" <[email-masked]>
Date: Fri, 29 Jun 2001 07:54:05 -0400

>>(chosen because aluminum was cheaper in post war europe than steel).

Read in one of my earlier books that there was a huge stockpile of aircraft
alloy  sheet metal
left after everybody decided to stop fighting. They stopped building all
those wonderful (vintage) WWII war birds. So, Rover motors bought the lot and
Birmabright AKA aircraft alloy sheet metal was the metal of choice for the
first
Landy's. There was a shortage of steel, I suppose the sheet steel that one
could make
frames (chassis) out of and that's where the box channel came from. I
suppose it takes less
material to make that style of frame. Will poke around in my Landy books to
see if I can come up with
a title or two and will post when I find.

Jim Wolf